TYPOS3.Flow - Bug #51809

Commit "[BUGFIX] Published resources don't support symlinks" produces an fatal error on Windows

2013-09-06 12:48 - Thomas Allmer

Status: Under Review Start date: 2013-09-06
Priority: Must have Due date:

Assignee: Adrian Foder % Done: 100%
Category: Core Estimated time: 0.00 hour
Target version: 2.01

PHP Version: 5.4 Complexity: medium
Has patch: No

Description

hey

the following change
https://review.typo3.org/#/c/23555/

https://qit.typo3.org/Packages/TYPO3.Flow.qgit/commit/64480cd47066458bfd9a15a9a10f1760e5a0a3b4

produces a fatal error on my System:
Windows 8
PHP 5.4.3

Detailed Error Message:
https://gist.github.com/daKmoR/6461532

Associated revisions

Revision 6d206c1d - 2014-03-02 13:23 - Adrian Foder

[TASK] Resources are published with relative symlinks

Fixes an issue with the publication of persistent resources which
used absolute paths rather than relative paths for generating symbolic
links.

TYPO3.Surf heavily relies on symbolic links for pointing to the
currently active release. The key problem was that the symbolic
link which is put into the Web/_Resources folder used an absolute
path (realpath) to the resource file in Data/Persistent/ rather than
a possible symbolic link. This worked fine as long as the actual
directory (previous release) exists, but breaks as soon as old
releases have been removed.

Resolves: #51676
Resolves: #51809
Releases: master
Change-Id: 12e84cd8f9abd41578a87791813d03e764528feb9

History

#1 - 2013-09-11 09:52 - Aske Ertmann
- Category set to Resource

- Status changed from New to Accepted
- Assignee set to Robert Lemke

- Target version set to 2.0.1

- Complexity set to medium

#2 - 2013-09-11 09:52 - Aske Ertmann

Assigned this to you Robert since you merged the change, if you don't have time to fix it just unassign it again..

#3 - 2013-09-11 17:02 - Adrian Féder

- Category changed from Resource to Core
- Assignee changed from Robert Lemke to Adrian Féder

#4 - 2013-09-12 14:06 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23783

#5 - 2013-09-12 15:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23783

#6 - 2013-09-12 17:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23783

#7 - 2013-10-22 13:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23783

#8 - 2014-03-02 13:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.0rg/23783

#9 - 2014-03-04 14:37 - Karsten Dambekalns
The bugfix that broke this has been reverted in https:/review.typo3.org/23785

#10 - 2014-03-04 15:35 - Adrian Féder
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 6d206¢1d35324{26e8780fdad80fed466bc9f4e.

#11 - 2014-06-02 17:34 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.0org/30519

#12 - 2014-08-05 13:00 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http:/review.typo3.org/30519

#13 - 2014-08-06 10:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30519

#14 - 2014-08-24 08:23 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30519

#15 - 2014-12-01 16:56 - Gerrit Code Review

Patch set 1 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/34878

#16 - 2014-12-02 11:17 - Gerrit Code Review

Patch set 2 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.0rg/34878
#17 - 2015-06-13 12:51 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.0rg/30519
